%define upstream_name    Template-Plugin-Handy
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Handy vmethods for Template Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Template::Plugin::VMethods)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Handy virtual methods I always use in my Template Toolkit files, especially
for debugging.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1497276
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1271609
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1033898
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 951352
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.3.0-1.mga5
+ Revision: 805363
- imported package perl-Template-Plugin-Handy


* Wed Dec 24 2014 Buchan Milne <buchan> 0.003-1mga
- initial mageia release, generated with cpan2dist
